カテゴリー
Laravel

laravel 5.2 レイアウトの管理

確認環境:

laravel 5.2

Windows 10

XAMPP 5.6.30(php 5.6.30)

laravel 5.2 でレイアウトの管理方法についてメモしておきます。

\resources\views に layout.blade.php ファイルを作成する。

デフォルトで生成されている、welcome.blade.php ファイルをコピーして編集します。

カテゴリー
Laravel

laravel 5.4 コントローラ Controller の追加

確認環境:

laravel 5.4

Windows 10

XAMPP 5.6.30(php 5.6.30)

laravel 5.4 でコントローラの追加方法についてメモしておきます。

これまでは、C:\xampp\htdocs\laraveltest01\routes の web.php から

viewの呼び出し処理を行っていましたが、コントローラを作成してそこからviewの呼び出し処理を行うようにします。

カテゴリー
Laravel

laravel 5.4 Eloquent モデル

確認環境:

laravel 5.4

Windows 10

XAMPP 5.6.30(php 5.6.30)

laravel 5.4 でEloquent モデルについてメモしておきます。

laravel 5.4 データベースの追加

laravel 5.4 データベースとViewの連携

で、データベースを作成したので、その続きで、Eloquent モデルと連携させていきます。

データベース名:laratest01db01

テーブル:

・migrations

・password_resets

・users

・tasks ← このテーブルをいじります。

テーブル tasks は4つのフィールドがあります。

・id
・body
・created_at ← 自動で生成される
・updated_at ← 自動で生成される

カテゴリー
Laravel

laravel 5.4 データベースとViewの連携

確認環境:

laravel 5.4

Windows 10

XAMPP 5.6.30(php 5.6.30)

laravel 5.4 でデータベースとViewの連携の方法についてメモしておきます。

laravel 5.4 データベースの追加
で、データベースを作成したので、その続きで、Viewと連携させていきます。

データベース名:laratest01db01

テーブル:

・migrations

・password_resets

・users

・tasks ← このテーブルをいじります。

カテゴリー
Laravel

laravel 5.4 データベースの追加

確認環境:

laravel 5.4

Windows 10

MySQL 5.7

MySQL Workbench 6.3

XAMPP 5.6.30(php 5.6.30)

php 7.1.7

laravel 5.4 でデータベース(mysql)の追加方法についてメモしておきます。

laravel 5.4でデータベース(mysql)を作成する方法

あらかじめMySQLをインストールしておきます。

MySQLをインストールすると、MySQL Workbenchもあわせてインストールされるので、

こちらで、データベースの操作や確認ができます。

カテゴリー
Laravel

laravel 5.4 Viewの追加

確認環境:

laravel 5.4

Windows 10

MySQL 5.7

XAMPP 5.6.30(php 5.6.30)

php 7.1.7

laravel 5.4 Viewの追加方法についてメモしておきます。

Laravelを表示してみる

C:\xxx\laraveltest01にLaravel 5.4のプロジェクトを作成したので、

Laravelを表示するには、以下のコマンドを実行し、
php artisan serve

その後、
http://127.0.0.1:8000/

http://localhost/laraveltest01/public/

にアクセスすると、サイトのトップページが表示されます。

カテゴリー
Laravel

laravel 5.4 を使ってみる

確認環境:

laravel 5.4

Windows 10

MySQL 5.7

XAMPP 5.6.30(php 5.6.30)

php 7.1.7

laravel 5.4 を使ってみて、わかったことをメモしておきます。

laravel 5.4を使うには

  • PHP> = 5.6.4
  • Composerがインストールされていること

が必要です。